<?php
if (!defined("CORE_FOLDER")) die();
$LANG = $module->lang;
$CONFIG = $module->config;


$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => "https://wapi.kariha.net/instance65107/instance/status?token=m5qal59vsupmopfd",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => [
        "accept: application/json"
    ],
]);

$response = curl_exec($curl);
$response = json_decode($response[0]);
print_r($response);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
    echo "cURL Error #:" . $err;
} else {
    echo $response;
}


?>
<div>
    Bu eklenti tüm müşterilerinize SMS yerine WhatsApp mesajı göndermek için geliştirilmiştir. Müşterinize sizin whatsapp hattınızdan mesaj gönderir. API aracılığı ile çalışır. Hizmetin çalışabilmesi için
    <a target="_blank" href="https://www.kariha.net/yazilimlar/eklentiler"><u><b>Kariha Web Agency</b></u></a>'den WhatsApp Api almanız gerekir.
</div>
<form action="<?php echo Controllers::$init->getData("links")["controller"]; ?>" method="post" id="kWhatsappSettings" autocomplete="off">
    <input type="hidden" name="operation" value="module_controller">
    <input type="hidden" name="module" value="kWhatsapp"> <input type="hidden" name="controller" value="settings">
    <div class="formcon">
        <div class="yuzde30"><?php echo $LANG["username"]; ?></div>
        <div class="yuzde70">
            <input type="text" name="username" value="<?php echo $CONFIG["username"]; ?>" autocomplete="off">
            <span class="kinfo"><?php echo $LANG["username-desc"]; ?></span>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30"><?php echo $LANG["password"]; ?></div>
        <div class="yuzde70">
            <input type="text" name="password" autocomplete="new-password" value="<?php echo $CONFIG["password"]; ?>">
            <span class="kinfo"><?php echo $LANG["password-desc"]; ?></span>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30"><?php echo $LANG["balance-info"]; ?></div>
        <div class="yuzde70" id="kWhatsapp_get_credit"><?php echo $LANG["balance-info-desc"]; ?></div>
    </div>

    <div style="float:right;" class="guncellebtn yuzde30">
        <a id="kWhatsapp_submit" href="javascript:void(0);" class="yesilbtn gonderbtn"><?php echo $LANG["save-button"]; ?></a>
    </div>

</form>
<script type="text/javascript">

    var value = $("#kWhatsapp_get_credit").html();
    var loadBalancekWhatsapp = false;

    $(document).ready(function () {

        $("#kWhatsapp_get_credit").html(window.value.replace("{credit}", '<?php echo ___("needs/loading-element"); ?>'));

        setInterval(function () {
            var display = $("#module-kWhatsapp").css("display");
            if (display != "none") {
                if (!loadBalancekWhatsapp) {

                    var request = MioAjax({
                        action: window.location.href,
                        method: "POST",
                        data: {
                            operation: "module_controller",
                            module: "kWhatsapp",
                            controller: "get-credit"
                        }
                    }, true, true);

                    request.done(function (result) {
                        kWhatsapp_get_credit(result);
                    });
                    loadBalancekWhatsapp = true;
                }
            }
        }, 300);

        $("#kWhatsapp_submit").click(function () {
            MioAjaxElement($(this), {
                waiting_text: waiting_text,
                progress_text: progress_text,
                result: "kWhatsappSettings_handler",
            });
        });
    });

    function kWhatsapp_get_credit(result) {
        if (result != '') {
            var solve = getJson(result);
            if (solve !== false) {
                $("#kWhatsapp_get_credit").html(window.value.replace("{credit}", solve.credit));

            } else
                console.log(result);
        }
    }

    function kWhatsappSettings_handler(result) {
        if (result != '') {
            var solve = getJson(result);
            if (solve !== false) {
                if (solve.status == "error") {
                    if (solve.for != undefined && solve.for != '') {
                        $("#kWhatsappSettings " + solve.for).focus();
                        $("#kWhatsappSettings " + solve.for).attr("style", "border-bottom:2px solid red; color:red;");
                        $("#kWhatsappSettings " + solve.for).change(function () {
                            $(this).removeAttr("style");
                        });
                    }
                    if (solve.message != undefined && solve.message != '')
                        alert_error(solve.message, {timer: 5000});
                } else if (solve.status == "successful")
                    alert_success(solve.message, {timer: 2500});
            } else {
                console.log(result);
            }
        }
    }
</script>